> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/set-default-payment-card.md).

# デフォルトの支払いカードを設定する

## 概要

デフォルトのデジタルカードは、あなたの **デジタルウォレットアプリケーション** が非接触決済時に最初に表示されます。

エンドユーザーは、支払いを確定する前に、デフォルトのデジタルカードをそのまま使うか、あなたのUIでカードを切り替えることができます。

支払いUXのオプションについては、 [非接触決済](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/make-payments/implement-contactless-payment.md).

### SDK 統合

次を呼び出します `DigitalCard.setDefault()` で `DigitalCard` デフォルトに設定したいカードを指定します。

次の例では、デフォルトのデジタルカードを設定します：

{% code title="デフォルトカードを設定" %}

```swift
func setDefaultCard(digitalCard: DigitalCard) async {
  do {
    _ = try await digitalCard.setDefault()
  } catch {
    // エラーを処理します。
  }
}
```

{% endcode %}

{% hint style="info" %}
デフォルトのデジタルカードを設定できるのは、そのカードが有効な場合のみです。

そのカードには、少なくとも1つの支払いキーが残っていなければなりません。

次のプロパティを使用して [カード詳細を取得](/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/display-digital-cards.md#get-card-details) 両方を検証します。
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/ja/implement-nfc-wallet/manage-digital-cards/set-default-payment-card.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
